#!/bin/bash
# Start a mariadb container to use its mysql client to initialize the keystone database.
docker run -i mariadb:10.1.22 mysql -uroot -pgeheim --host "$1" << EOF
CREATE DATABASE IF NOT EXISTS keystone;
GRANT ALL PRIVILEGES ON keystone.* TO 'keystone'@'localhost' IDENTIFIED BY 'keystone';
GRANT ALL PRIVILEGES ON keystone.* TO 'keystone'@'%' IDENTIFIED BY 'keystone';
EOF
